Bug 1247594 - Event filtering by trait doesn't work with elasticsearch backend
Event filtering by trait doesn't work with elasticsearch backend
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity unspecified
: z5
: 7.0 (Kilo)
Assigned To: Eoghan Glynn
Yurii Prokulevych
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 08:05 EDT by Yurii Prokulevych
Modified: 2016-01-26 11:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 11:04:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1458579 None None None Never

  None (edit)
Description Yurii Prokulevych 2015-07-28 08:05:45 EDT
Clone of upstream bug.

Description of problem:
=======================
When events are stored at elasticsearch backend filtering by custom event traits is not working.

ceilometer event-list -q 'SnapshotName=TestSnapshot-2'

TransportError(400, u'SearchPhaseExecutionException[Failed to execute phase [query], all shards failed; shardFailures {[LHNt_PvMSruIUvD48176Vg][events_2015-05-14][0]: SearchParseException[[events_2015-05-14][0]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-14] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-15][0]: SearchParseException[[events_2015-05-15][0]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-15] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-18][0]: SearchParseException[[events_2015-05-18][0]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-18] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-25][0]: SearchParseException[[events_2015-05-25][0]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-25] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-14][1]: SearchParseException[[events_2015-05-14][1]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-14] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-15][1]: SearchParseException[[events_2015-05-15][1]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-15] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-18][1]: SearchParseException[[events_2015-05-18][1]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-18] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-25][1]: SearchParseException[[events_2015-05-25][1]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-25] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-14][2]: SearchParseException[[events_2015-05-14][2]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-14] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-15][2]: SearchParseException[[events_2015-05-15][2]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-15] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-18][2]: SearchParseException[[events_2015-05-18][2]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-18] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-25][2]: SearchParseException[[events_2015-05-25][2]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-25] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-14][3]: SearchParseException[[events_2015-05-14][3]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-14] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-15][3]: SearchParseException[[events_2015-05-15][3]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-15] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-18][3]: SearchParseException[[events_2015-05-18][3]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-18] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-25][3]: SearchParseException[[events_2015-05-25][3]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-25] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-14][4]: SearchParseException[[events_2015-05-14][4]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-14] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-15][4]: SearchParseException[[events_2015-05-15][4]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-15] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-18][4]: SearchParseException[[events_2015-05-18][4]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-18] [nested] nested object under path [traits] is not of nested type]; }{[LHNt_PvMSruIUvD48176Vg][events_2015-05-25][4]: SearchParseException[[events_2015-05-25][4]: from[-1],size[-1]: Parse Failure [Failed to parse source [{"query": {"filtered": {"filter": {"bool": {"must": [{"nested": {"path": "traits", "query": {"filtered": {"filter": {"bool": {"must": [{"query": {"query_string": {"query": "SnapshotName: \\"testsnapshot-2\\""}}}]}}}}}}]}}}}}]]]; nested: QueryParsingException[[events_2015-05-25] [nested] nested object under path [traits] is not of nested type]; }]') (HTTP 500) (Request-ID: req-16e9154a-c9fb-499c-bee1-b97d10c204d1)
Comment 5 Lon Hohberger 2016-01-26 11:04:41 EST
This bug was closed upstream.

Note You need to log in before you can comment on or make changes to this bug.